Get Plasma Deposits by Address
curl --request GET \
--url 'https://api.etherscan.io/v2/api?apikey='import requests
url = "https://api.etherscan.io/v2/api?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.etherscan.io/v2/api?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": [
{
"hash": "0xf645deb2b6fbb8b76ccbcf4bde782e28d3520e8a30e9a568b9b8c526e2fd8434",
"blockNumber": "51844560",
"timeStamp": "1704181285",
"from": "0x0000000000000000000000000000000000000000",
"address": "0x4880bd4695a8e59dc527d124085749744b6c988e",
"amount": "2341706540000000000",
"tokenName": "Polygon Token",
"symbol": "POL",
"contractAddress": "0x0000000000000000000000000000000000001010",
"divisor": "18"
}
]
}
L2 Deposits/Withdrawals
Get Plasma Deposits by Address
Retrieves a list of Plasma deposit transactions received by a specified address.
GET
/
v2
/
api
Get Plasma Deposits by Address
Polygon Mainnet
Gnosis
BitTorrent Chain Mainnet
{
"status": "1",
"message": "OK",
"result": [
{
"hash": "0xf645deb2b6fbb8b76ccbcf4bde782e28d3520e8a30e9a568b9b8c526e2fd8434",
"blockNumber": "51844560",
"timeStamp": "1704181285",
"from": "0x0000000000000000000000000000000000000000",
"address": "0x4880bd4695a8e59dc527d124085749744b6c988e",
"amount": "2341706540000000000",
"tokenName": "Polygon Token",
"symbol": "POL",
"contractAddress": "0x0000000000000000000000000000000000001010",
"divisor": "18"
}
]
}
Authorizations
Enter your Etherscan API key, or set one up if you don't have one.
Query Parameters
Chain ID to query, eg 137 for Polygon from our supported chains.
Set to account for this endpoint.
Set to txnbridge for this endpoint.
Address to check for Plasma deposits.
Page number for pagination.
Number of records per page. Use the page parameter for subsequent records.
Response
200 - application/json
Successful response
1 if the request returned data, 0 otherwise. A status of 0 can indicate an error or a valid request that returned no records.
OK on success, otherwise an error description such as NOTOK. See common error messages.
Show child attributes
Show child attributes